ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 31/07/2016 - 07:49
נושא ההודעה: pacmanger error

שלום,

אני עובד עם הפצת manjaro .

שאני מריץ את pacmanager אני מקבל הודעת שגיאה :

ציטוט:

Can't locate Crypt/CBC.pm in @INC (you may need to install the Crypt::CBC module) (@INC contains: /usr/share/pacmanager/lib /usr/share/pacmanager/lib/ex /usr/share/pacmanager/lib/edit /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/share/pacmanager/lib/PACMain.pm line 42.
BEGIN failed--compilation aborted at /usr/share/pacmanager/lib/PACMain.pm line 42.
Compilation failed in require at /usr/bin/pac line 62.
BEGIN failed--compilation aborted at /usr/bin/pac line 62.


למישהו יש רעיון?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 31/07/2016 - 08:25
נושא ההודעה:

מאיפה התקנת את pacmanger?
הוא קיים ב AUR ונראה כאילו אתה התקנת ידנית..

בכל מקרה. תתקין את החבילה של Arch/manjaro שנקראית perl-crypt-cbc
נראה לי שזה מה שחסר לך.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 31/07/2016 - 09:05
נושא ההודעה:

או דרך cpan

קוד:
cpan -i Crypt::CBC
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
-אורח · ·
 

הודעה פורסם: 31/07/2016 - 10:38
נושא ההודעה: -

לא התקנתי ידני. הותקן מזמן דרך AUR וזה עבד. אחרי אחד העדכונים משהו השתבש וקיבלתי את הודעת השגיאה.

בכל מקרה התחלתי להתקין את המודולים ידנית עם CPAN .

עד שקיבלתי ההודעה:
ציטוט:

Can't locate Gnome2/GConf.pm in @INC (you may need to install the Gnome2::GConf module)


ניסיתי להתקין עם :


ציטוט:

sudo cpan -i Gnome2::GConf


קיבלתי הודעת שגיאה:

ציטוט:

Manifying 10 pod documents
TSCH/Gnome2-GConf-1.044.tar.gz
/usr/bin/make -- OK
Running make test
Running Mkbootstrap for Gnome2::GConf ()
chmod 644 "GConf.bs"
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00.GConf.t .. Can't load '/root/.cpan/build/Gnome2-GConf-1.044-RGMpdW/blib/arch/auto/Gnome2/GConf/GConf.so' for module Gnome2::GConf: /root/.cpan/build/Gnome2-GConf-1.044-RGMpdW/blib/arch/auto/Gnome2/GConf/GConf.so: undefined symbol: gconf_engine_key_is_writable at /usr/lib/perl5/core_perl/DynaLoader.pm line 193.
at t/00.GConf.t line 9.
Compilation failed in require at t/00.GConf.t line 9.
BEGIN failed--compilation aborted at t/00.GConf.t line 9.
t/00.GConf.t .. Dubious, test returned 2 (wstat 512, 0x200)
No subtests run

Test Summary Report
-------------------
t/00.GConf.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
Files=1, Tests=0, 0 wallclock secs ( 0.01 usr + 0.00 sys = 0.01 CPU)
Result: FAIL
Failed 1/1 test programs. 0/0 subtests failed.
make: *** [Makefile:1093: test_dynamic] Error 2
TSCH/Gnome2-GConf-1.044.tar.gz
/usr/bin/make test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
reports TSCH/Gnome2-GConf-1.044.tar.gz

 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
mksoftלא בפורום כעתSite Admin ת.הצטרפות: 17/03/2002 · הודעות: 10223 · מיקום: כדור הארץ
 

הודעה פורסם: 31/07/2016 - 11:04
נושא ההודעה:

אל תתקין מ-CPAN, יהיה לך עוד כאב ראש בעדכונים.

השאר הערה למתחזק ה-PKGBUILD על הבעיה, כדי שיוכל לתקנה.

יש לך במנהל החבילות את perl-crypt-cbc.

_________________
הבלוג שלי
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית שלח דוא\ ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
cpanאורח · ·
 

הודעה פורסם: 31/07/2016 - 11:24
נושא ההודעה:

אני מתנצל אם הטעיתי להתקין דרך cpan
בכ"א החבילה שאתה צריך עכשיו היא extra/gconf-perl (במאגרים של ארץ')
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורחאורח · ·
 

הודעה פורסם: 31/07/2016 - 12:03
נושא ההודעה: -

אחרי שהתקנתי את החבילה הזאת היו שוב חסרים מודולים של פרל והתקנתי דרך CPAN .
עכשיו הכל תקין.
מקווה שלא יהיו בעיות עתידיות בעדכונים.

תודה.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 31/07/2016 - 17:38
נושא ההודעה:

ככל הנראה יהיו, התקנת את החבילות האלה מחוץ לשליטה של מנהל החבילות של המערכת הפעלה.
מצב לא רצוי כל כך.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. אורח
  3. אורח
  4. אורח [-]
  5. mksoft
  6. אורח [cpan]
  7. אורח [אורח]
  8. אורח

Google Ads